Authorization
Begin a device login: mint a device code + a short user code
POST
/auth/deviceAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
organization?string
Organization slug (OAuth actors with several orgs); API keys imply theirs.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/auth/device" \ -H "Content-Type: application/json" \ -d '{ "client": "string" }'{ "device_code": "string", "user_code": "string", "verification_uri": "string", "verification_uri_complete": "string", "expires_in": 0, "interval": 0}{ "error": { "code": "string", "message": "string", "reason": "string", "index": 0, "request_id": "string" }}{ "error": { "code": "string", "message": "string", "reason": "string", "index": 0, "request_id": "string" }}